Class | RSS::Maker::RSS20::Items::Item::Guid
In: | rss/maker/2.0.rb
Parent: | RSS09::Items::Item::Guid

### Methods

have_required_values? to_rss

### Public Instance methods

have_required_values?()

[Source]

    # File rss/maker/2.0.rb, line 101
                def have_required_values?
                  @content
                end

to_rss(rss, item)

[Source]

    # File rss/maker/2.0.rb, line 92
                def to_rss(rss, item)
                  guid = Rss::Channel::Item::Guid.new
                  set = setup_values(guid)
                  if set
                    item.guid = guid
                    setup_other_elements(rss)
                  end
                end

[Validate]